# Uses of Interface
org.codehaus.janino.Visitor.TryStatementResourceVisitor

Packages that use Visitor.TryStatementResourceVisitor
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of Visitor.TryStatementResourceVisitor in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Visitor.TryStatementResourceVisitor
Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
Java.TryStatement.LocalVariableDeclaratorResource.`accept(Visitor.TryStatementResourceVisitor<R,EX> visitor)`
`abstract <R, EX extends Throwable>
R`
Java.TryStatement.Resource.`accept(Visitor.TryStatementResourceVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TryStatementResourceVisitor` for the concrete `Java.TryStatement.Resource` type.
`<R, EX extends Throwable>
R`
Java.TryStatement.VariableAccessResource.`accept(Visitor.TryStatementResourceVisitor<R,EX> visitor)`